# ControlledInputReciever (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick
Interface ControlledInputReciever

All Known Subinterfaces:
  ControllerListener, GameState, InputListener, KeyListener, MouseListener

All Known Implementing Classes:
  AbstractComponent, AlphaMapTest, AnimationTest, AntiAliasTest, BasicComponent, BasicGame, BasicGameState, BigImageTest, BigSpriteSheetTest, CachedRenderTest, CanvasContainerTest, CanvasSizeTest, ClipTest, CopyAreaAlphaTest, CurveTest, DeferredLoadingTest, DistanceFieldTest, DoubleClickTest, DuplicateEmitterTest, FlashTest, FontPerformanceTest, FontTest, GeomAccuracyTest, GeomTest, GeomUtilTest, GeomUtilTileTest, GradientImageTest, GradientTest, GraphicsTest, GUITest, ImageBufferEndianTest, ImageBufferTest, ImageCornerTest, ImageGraphicsTest, ImageMemTest, ImageOutTest, ImageReadTest, ImageTest, InkscapeTest, InputAdapter, InputProviderTest, InputTest, IsoTiledTest, KeyRepeatTest, LameTest, LineRenderTest, MorphShapeTest, MorphSVGTest, MouseOverArea, MusicListenerTest, NavMeshTest, PackedSheetTest, ParticleTest, PedigreeTest, PolygonTest, PureFontTest, SavedStateTest, ScalableTest, ShapeTest, SlickCallableTest, SoundPositionTest, SoundTest, SoundURLTest, SpriteSheetFontTest, StateBasedGame, StateBasedTest, TestBox, TestState1, TestState2, TestState3, TextField, TexturePaintTest, TileMapTest, TransformTest, TransformTest2, TransitionTest, TransparentColorTest, TrueTypeFontPerformanceTest, UnicodeFontTest

    public interface ControlledInputReciever

Description of any class capable of recieving and controlling it's own reception of input You'll shouldn't really need to implement this one for your self, use one of the sub-interfaces: `InputListener` `MouseListener` `KeyListener` `ControllerListener`

Author:
  kevin

Method Summary
`void` `inputEnded()` Notification that all input events have been sent for this frame
`void` `inputStarted()` Notification that input is about to be processed
`boolean` `isAcceptingInput()` Check if this input listener is accepting input
`void` `setInput(Input input)` Set the input that events are being sent from

Method Detail

### setInput

    void setInput(Input input)

  Set the input that events are being sent from

  Parameters:
    `input` - The input instance sending events

### isAcceptingInput

    boolean isAcceptingInput()

  Check if this input listener is accepting input

  Returns:
    True if the input listener should recieve events

### inputEnded

    void inputEnded()

  Notification that all input events have been sent for this frame

### inputStarted

    void inputStarted()

  Notification that input is about to be processed

Copyright © 2006 New Dawn Software. All Rights Reserved.